> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-luisinasantos-sync-coupa-v0-1-13-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete

> Delete an Edge and its associated entitlements. New egress requests are
 rejected, and inference tokens can no longer be issued for this Edge.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples delete /api/v1/apps/{app_id}/edges/{id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/edges/{id}:
    delete:
      tags:
        - Edge
      summary: Delete
      description: |-
        Delete an Edge and its associated entitlements. New egress requests are
         rejected, and inference tokens can no longer be issued for this Edge.
      operationId: c1.api.edge.v1.EdgeService.Delete
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: App identifier.
            type: string
        - in: path
          name: id
          required: true
          schema:
            description: Edge identifier.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.edge.v1.EdgeServiceDeleteRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/c1.api.edge.v1.EdgeServiceDeleteResponse'
          description: |-
            EdgeServiceDeleteResponse confirms deletion. The Edge's entitlement
             stack cascade-deletes; a replacement Edge mints an all-new stack.
components:
  schemas:
    c1.api.edge.v1.EdgeServiceDeleteRequestInput:
      description: EdgeServiceDeleteRequest deletes the Edge for an app.
      title: Edge Service Delete Request
      type: object
      x-speakeasy-name-override: EdgeServiceDeleteRequest
    c1.api.edge.v1.EdgeServiceDeleteResponse:
      description: |-
        EdgeServiceDeleteResponse confirms deletion. The Edge's entitlement
         stack cascade-deletes; a replacement Edge mints an all-new stack.
      title: Edge Service Delete Response
      type: object
      x-speakeasy-name-override: EdgeServiceDeleteResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````